%global pypi_name python-ly

Name:           %{pypi_name}
Version:        0.9.7
Release:        %mkrel 5
Group:          Development/Python
Summary:        Tool and library for manipulating LilyPond files
License:        GPLv2+
URL:            https://github.com/wbsoft/python-ly
Source0:        https://pypi.io/packages/source/p/%{name}/%{name}-%{version}.tar.gz
BuildArch:      noarch

%description
This package provides a Python library ly containing various Python
modules to parse, manipulate or create documents in LilyPond format.
A command line program ly is also provided that can be used to do
various manipulations with LilyPond files.

%package -n     python3-ly
Summary:        Tool and library for manipulating LilyPond files
BuildRequires:  python3-devel
%{?python_provide:%python_provide python3-ly}

%description -n python3-ly
This package provides a Python 3 library ly containing various Python
modules to parse, manipulate or create documents in LilyPond format.
A command line program ly is also provided that can be used to do
various manipulations with LilyPond files.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ly

%files -n python3-ly -f %{pyproject_files}
%{_bindir}/ly
%{_bindir}/ly-server


%changelog
* Sat Mar 01 2025 wally <wally> 0.9.7-5.mga10
+ Revision: 2155231
- rebuild for python3.13

* Tue Dec 12 2023 papoteur <papoteur> 0.9.7-4.mga10
+ Revision: 2017631
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 0.9.7-3.mga9
+ Revision: 1823647
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 mrambo3501 <mrambo3501> 0.9.7-2.mga9
+ Revision: 1783794
- rebuild for python-3.10

* Mon Mar 22 2021 daviddavid <daviddavid> 0.9.7-1.mga9
+ Revision: 1707856
- new version: 0.9.7
- rebuild for python 3.9

* Wed Sep 16 2020 guillomovitch <guillomovitch> 0.9.6-1.mga8
+ Revision: 1627183
- new version 0.9.6

* Sun Feb 16 2020 umeabot <umeabot> 0.9.5-8.mga8
+ Revision: 1532037
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 tv <tv> 0.9.5-7.mga8
+ Revision: 1441442
- rebuild for python-3.8
- drop python2 subpkg

* Tue Jan 08 2019 tv <tv> 0.9.5-6.mga7
+ Revision: 1351626
- rebuild with python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.9.5-5.mga7
+ Revision: 1289179
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Create and use py3dir

* Tue Mar 20 2018 kekepower <kekepower> 0.9.5-4.mga7
+ Revision: 1210852
- Renamed python-ly to python2-ly

* Fri Aug 04 2017 philippem <philippem> 0.9.5-3.mga7
+ Revision: 1134886
- rebuild for Python 3.6

* Fri Mar 03 2017 daviddavid <daviddavid> 0.9.5-2.mga6
+ Revision: 1088602
- fix python2 and python3 binaries
- make python3 the default

* Mon Feb 27 2017 mitya <mitya> 0.9.5-1.mga6
+ Revision: 1088133
- New version 0.9.5

* Wed Feb 08 2017 mitya <mitya> 0.9.4-1.mga6
+ Revision: 1085118
- New version 0.9.4

* Tue Jan 19 2016 daviddavid <daviddavid> 0.9.3-1.mga6
+ Revision: 925789
- new version: 0.9.3
- add python3 package
- use new python macros

* Tue Sep 01 2015 fwang <fwang> 0.9.2-3.mga6
+ Revision: 871872
- should be noarch package

* Tue Sep 01 2015 fwang <fwang> 0.9.2-2.mga6
+ Revision: 871848
- disable python3 flavour

* Tue Sep 01 2015 fwang <fwang> 0.9.2-1.mga6
+ Revision: 871842
- imported package python-ly

